Subject: Patch for reliable rcs on win95
From: [email-masked] ("Mikey")

17 Mar 1997 23:27:19 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Original-To: "cygnus" <[email-masked]>
X-MSMail-Priority: Normal
X-Priority: 3
X-Mailer: Microsoft Internet Mail 4.70.1155
Original-Sender: [email-masked]

If you're running NT, you can probably ignore this message, but for other
win95/rcs users, this should hopefully prove usefull.

I take no responsibility for anything, not even your lousy sex life ;^).

The win95 short read bug also affects rcs ci co & company (at least for
me). (it even messes up djgpp rcs in a dos box!) I couldn't figure out how
to change ReadFile's behaviour, if you do an immediate reread on the file,
ReadFile just returns 0 bytes, so instead I just fixed rcs so it keeps the
whole file in memory.

I hate just fixing the symptoms, but rcs is too good to do without.

all filesystems mounted -b (diff is LF only)

cd into the rcs-5.7/src directory and apply the included dif.
cd ..
configure --with-diffutils --prefix=/your_cygnus_rootdir/H-i386-cygwin32
(or wherever diff3.exe lives on your system)
make
cd src;strip *.exe!!!
cp *.exe /usr/H-i386-cygwin32/bin (or wherever)

make sure you have an /etc/passwd file similar to the following

YOUR_USERNAME::500:500::/your/home/dir:/bin/sh

make clean, run rcstest it works!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
;^)

actually I've been using it for about a week, so I know it does (for me).
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".